For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
              • GETGet Catalog Settings
              • PUTUpdate Catalog Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementSettingsCatalog

Get Catalog Settings

GET
https://api.bigcommerce.com/stores/:store_hash/v3/settings/catalog
GET
/stores/:store_hash/v3/settings/catalog
$curl https://api.bigcommerce.com/stores/store_hash/v3/settings/catalog \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "data": {
3 "auto_approve_reviews": true,
4 "enable_product_comparisons": true
5 },
6 "meta": {}
7}
Returns catalog settings. - Channel ID can be used as a query parameter for getting channel-specific settings. If omitted, you will interact with the global settings only. - `null` indicates that a particular field has not been overridden on a channel level when channel level settings are requested and values are inherited from global level.
Was this page helpful?
Previous

Update Web Analytics Provider

Next

Update Catalog Settings

Built with

Returns catalog settings.

  • Channel ID can be used as a query parameter for getting channel-specific settings. If omitted, you will interact with the global settings only.

  • null indicates that a particular field has not been overridden on a channel level when channel level settings are requested and values are inherited from global level.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.

Response

OK. null indicates that a particular field has not been overridden on a channel level when channel level settings are requested

dataobject
metaobject
Response metadata.